@import url('./theme/main-theme.css');

/* ------------ BUTTONS ------------ */

/* COMMON */
.v2-primary-button,
.v2-secondary-button,
.v2-tertiary-button,
.v2-card-action-button {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 12px;
    font-size: var(--base-font-size);
    font-weight: var(--bold);
    border: none;
    line-height: var(--base-line-height);
}
.v2-primary-button,
.v2-secondary-button,
.v2-card-action-button {
    border-radius: 4px;
    height: 40px;
    padding: 6px 8px;
    min-width: 70px;
}

.v2-primary-button.uppercase
:not(.big-size)
:not(.medium-size)
:not(.small-size),
.v2-secondary-button.uppercase
:not(.big-size)
:not(.medium-size)
:not(.small-size) {
    width: auto;
}

.v2-primary-button.uppercase,
.v2-secondary-button.uppercase,
.v2-tertiary-button.uppercase {
    text-transform: uppercase;
}

.v2-primary-button.full-width,
.v2-secondary-button.full-width,
.v2-tertiary-button.full-width {
    width: 100% !important;
}

.v2-primary-button.small-size,
.v2-secondary-button.small-size {
    height: 32px;
    width: 103px;
    font-size: var(--small-font-size);
    line-height: var(--small-line-height);
}
.v2-tertiary-button.small-size {
    font-size: var(--small-font-size);
    line-height: var(--small-line-height);
}
.v2-primary-button.small-size i,
.v2-secondary-button.small-size i,
.v2-tertiary-button.small-size i {
    font-size: var(--md-font-size);
}

.v2-primary-button.medium-size,
.v2-secondary-button.medium-size {
    height: 44px;
    padding: 8px;
    min-width: 136px;
    font-size: var(--md-font-size);
    line-height: var(--md-line-height);
}
.v2-tertiary-button.medium-size {
    font-size: var(--md-font-size);
    line-height: var(--md-line-height);
}

.v2-primary-button.big-size,
.v2-secondary-button.big-size {
    padding: 12px;
    height: 56px;
    width: 162px;
    font-size: var(--lg-font-size);
    line-height: var(--lg-line-height);
}
.v2-tertiary-button.big-size {
    font-size: var(--lg-font-size);
    line-height: var(--lg-line-height);
}

.v2-primary-button.width-auto,
.v2-secondary-button.width-auto {
    width: auto;
    /* min-width: auto; */
}
.v2-primary-button.big-size.width-auto,
.v2-secondary-button.big-size.width-auto {
    padding: 12px 16px;
    width: auto;
}

.v2-primary-button.side-input-button {
    width: 25%;
    max-width: 70px;
}

.v2-primary-button:focus,
.v2-secondary-button:focus,
.v2-tertiary-button:focus {
    outline: none;
}

/* PRIMARY */
.v2-primary-button,
.v2-primary-button:focus {
    background-color: var(--button-bg-primary);
    color: var(--button-text-primary)  !important;
}
.v2-primary-button:hover {
    color: var(--button-text-primary);
    background-color: var(--button-text-secondary);
}
.v2-primary-button.disabled {
    background: var(--button-bg-disabled);
    color: var(--button-text-disabled);
    opacity: 1 !important;
}

/* SECONDARY */
.v2-secondary-button,
.v2-secondary-button:focus {
    background-color: var(--button-bg-secondary);
    color: var(--button-text-secondary) !important;
}
.v2-secondary-button:hover {
    color: var(--button-text-secondary);
    background-color: var(--button-bg-secondary-hover);
}
.v2-secondary-button.disabled {
    color: var(--button-text-disabled);
    background-color: var(--button-bg-disabled3);
}

/* TERTIARY */
.v2-tertiary-button,
.v2-tertiary-button:focus {
    padding: 0;
    background-color: var(--no-color);
    color: var(--button-bg-primary);
    display: inline-flex;
}
.v2-tertiary-button:hover {
    color: var(--button-text-secondary);
}
.v2-tertiary-button.disabled {
    color: var(--button-text-disabled);
    background-color: var(--no-color) !important;
}

/* QUATERNARY BUTTON */
.v2-quaternary-button {
    background: transparent;
    height: 40px;
    color: var(--secondary-text);
    padding: 8px;
    border: 1px solid var(--info-bg);
    width: 100%;
    margin: 0;
    border-radius: 100px;
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    overflow: hidden;
    display: inline-block;
}
.v2-quaternary-button i {
    margin-right: 8px;
}
.v2-quaternary-button:hover {
    border: 1px solid var(--button-bg-secondary-hover);
    box-shadow: 0 0 10px 0 var(--button-bg-secondary-hover);
    color: var(--secondary-text) !important;
}
.v2-quaternary-button.active,
.v2-quaternary-button.active:hover {
    background-color: var(--info-bg);
    border-color: var(--info-bg);
    color: var(--secondary-text) !important;
    box-shadow: none !important;
}

/* DISABLED */
.v2-disabled-button {
    color: var(--button-bg-disabled) !important;
    cursor: not-allowed;
    pointer-events: none;
    color: #0187B9 !important;
}
.v2-tertiary-button.disabled {
    color: #9FA7AF !important;
}
.v2-tertiary-button.alt-button,
.v2-tertiary-button.alt-button:focus {
    color: #FFF !important;
}

/* CARD ACTION */
.v2-card-action-button {
    font-size: var(--base-font-size);
    min-width: 182px;
    height: 56px;
    padding: 8px 18px;
    background-color: var(--button-bg-secondary);
    color: var(--button-text-secondary);
    justify-content: flex-start;
}
.v2-card-action-button .v2-card-action-icon {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    display: flex;
    font-size: var(--lg-font-size);
    justify-content: center;
    align-items: center;
    background-color: var(--button-bg-secondary-hover);
}
.v2-card-action-button:hover {
    color: var(--button-text-secondary);
    background-color: var(--button-bg-secondary-hover);
}
.v2-card-action-button:hover .v2-card-action-icon {
    background-color: var(--button-bg-card-hover);
}
.v2-card-action-button.disabled {
    color: var(--button-text-disabled);
    background-color: var(--button-bg-disabled3);
}
.v2-card-action-button.disabled .v2-card-action-icon {
    background-color: var(--button-bg-disabled);
}

/* ------------ FONTS & COLORS ------------ */
.v2-page-title, .v2-main-title {
    color: var(--page-title-text);
    font-size: var(--lg-font-size);
    font-weight: var(--bold);
    line-height: var(--lg-line-height);
}

.v2-page-title {
    /* REMOVED BY LAST CHANGES ON 2246 ON 27/4/2026
    border-bottom: 1px solid var(--page-title-border);
    padding-bottom: 8px; */
    margin-top: 0;
    padding-top: 32px !important;
    margin-bottom: 24px !important;
}
.v2-page-title.no-padding-top {
    padding-top: 0 !important;
}
.v2-page-title.no-margin-bottom {
    margin-bottom: 0!important;
}

.v2-paragraph-text {
    font-size: var(--md-font-size);
    color: var(--body-text);
    line-height: var(--md-line-height);
    font-weight: var(--regular);
}
.v2-paragraph-emphasized-text {
    color: var(--body-text-secondary) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--medium) !important;
}
.v2-paragraph-emphasized-side-text {
    color: var(--body-text-secondary-emphasized) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--medium) !important;
}

.v2-card-title {
    font-size: var(--base-font-size);
    font-weight: var(--bold);
    color: var(--body-text-emphasized);
}

.no-min-width {
    min-width: 0px !important;
}

.v2-content-title-text,
.v2-content-subtitle-text {
    color: var(--body-text-emphasized);
    font-weight: var(--semibold);
    font-size: var(--md-font-size);
    letter-spacing: 0.5px;
    margin: 2px 0 4px 0;
    min-width: 234px;
}
.v2-content-title-text.small-size {
    font-size: var(--base-font-size);
}
.v2-content-subtitle-text {
    font-size: var(--small-font-size);
    font-weight: var(--regular);
}
.v2-content-subtitle-text.text-danger {
    color: var(--error-color);
    background: var(--no-color);
    padding: 0 !important;
}

.v2-section-title {
    color: var(--body-text-emphasized);
    font-size: var(--lg-font-size);
    font-weight: var(--bold);
    line-height: var(--lg-line-height);
    margin: 0;
    display: flex;
    align-items: center;
}
.v2-section-title.disabled-text {
    color: var(--button-text-disabled2) !important;
}

/* FROM SECTIONS */
/* TITLES */
.v2-label-text {
    font-size: 12px !important;
    line-height: 22px;
    margin: 0;
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}
.v2-label-text--primary {
    color: var(--button-text-secondary);
    font-weight: 600;
    text-transform: uppercase;
}
.v2-label-text--secondary {
    color: var(--body-text-secondary-emphasized);
    font-weight: 600;
    text-transform: uppercase;
}
.v2-label-text--secondary.thin {
    font-weight: 400;
    line-height: 20px;
}
.v2-label-text.bold {
    font-weight: 700;
}
.v2-label-text.inline {
    display: inline;
}

.v2-placeholder-text {
    color: var(--body-text-secondary);
    text-transform: none;
    font-weight: 500;
    font-size: 12px !important;
    line-height: 22px;
    margin: 0px;
    margin-bottom: 8px;
}

.v2-disclaimer-container {
    display: flex;
    cursor: default !important;
    align-items: start !important;
    justify-content: flex-start !important;
}
.v2-disclaimer-container:hover {
    cursor: default !important;
}

.v2-disclaimer-text {
    color: var(--body-text-secondary-emphasized);
    font-size: 14px;
    font-weight: 400;
    line-height: 20px;
    margin-bottom: 0 !important;
}
.v2-confirmation-text {
    color: var(--body-text-secondary-emphasized);
    font-size: 12px;
    font-weight: 500;
    line-height: 18px;
}

.v2-readonly-text {
    color: var(--button-text-disabled2);
    font-size: 14px;
    font-weight: 700;
    line-height: 22px;
}

.v2-height-auto {
    height: auto !important;
}

.v2-full-width {
    width: 100% !important;
}
.v2-auto-width {
    width: auto !important;
    min-width: unset !important;
}

.v2-full-width--only-mobile, .v2-full-width--only-mobile-content {
    width: 100%;
}
.v2-full-width--only-mobile.centered {
    justify-content: center;
}

.v2-switch-content--only-mobile {
    display: flex;
    align-items: center;
    gap: 64px;
}

.v2-onboarding-highlight {
    position: absolute;
    top: -24px;
    width: calc(100% + 48px);
    z-index: 99;
    left: -24px;
}

/* MARKERS */
.v2-circle-badge {
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
}
.v2-circle-badge--primary {
    color: var(--button-text-primary);
    font-size: 14px;
    font-weight: 700;
    line-height: 28.6px;
    width: 24px;
    height: 24px;
    background-color: var(--secondary-bg);
    margin-right: 8px;
}
.v2-circle-badge--primary.badge-disabled {
    background-color: var(--button-bg-disabled) !important;
}
.v2-circle-badge--primary.success-step {
    background-color: var(--success-color) !important;
    color: var(--button-text-primary) !important;
}

.v2-circle-badge--secondary {
    color: var(--button-text-secondary);
    font-size: 10px;
    font-weight: 600;
    line-height: 13.1px;
    width: 20px;
    height: 20px;
    min-width: 20px;
    background-color: var(--button-bg-secondary);
    margin-right: 6px;
}
.v2-no-caret .bs-caret {
    display: none !important;
}

.v2-events-not-allowed {
    pointer-events: none;
    cursor: not-allowed;
}
.v2-cursor-not-allowed {
    cursor: not-allowed;
}

.v2-hidden-measurable {
    visibility: hidden;
    position: absolute;
    pointer-events: none;
}

/* Placeholder for coin amount */
.v2-placeholder-content {
    border-radius: 4px;
    border: 1px dashed var(--page-title-border);
    height: 42px;
    padding: 0 8px;
    width: 100%;
}
.v2-placeholder-content .coin-amount-placeholder--currency {
    border-radius: 4px;
    border-right: 1px dashed var(--page-title-border);
    text-align: center;
}
.v2-placeholder-content .v2-placeholder-content--value {
    padding: 0 14px;
}
.v2-placeholder-content--side-text {
    min-width: 89px;
    max-width: 89px;
    height: 42px;
}

/* POPOVER */
.v2-popover + .popover {
    padding: 16px !important;
    max-width: 200px;
    width: 200px;
    min-width: 200px;
    background: var(--base-bg) !important;
}
.v2-popover + .popover .popover-content {
    font-size: 12px !important;
    padding: 0 !important;
    color: var(--body-text) !important;
}
/* Workaround for arrow */
.v2-popover + .popover > .arrow:after {
    border-top-color: var(--base-text) !important;
}

/* COLUMNS */
.v2-column {
    display: flex !important;
    flex-direction: column;
    gap: 16px;
}
.v2-column.small-space {
    gap: 8px;
}
.v2-column.medium-space {
    gap: 20px;
}
.v2-column.big-space {
    gap: 24px;
}

.v2-two-columns {
    display: grid;
    grid-template-columns: 1fr;
    gap: 12px;
}
.v2-two-columns.medium-space {
    gap: 24px;
}

.v2-grid-quadrant {
    display: grid;
    grid-template-columns: 1fr;
    column-gap: 20px;
    row-gap: 16px;
}

.v2-icon {
    font-size: 14px;
    margin-right: 8px;
    color: var(--secondary-text);
}
.v2-icon-collapsable {
    flex-grow: 2;
    color: var(--info-color);
    display: flex !important;
    justify-content: flex-end;
}
.v2-icon-collapsable.expanded, .expanded .v2-icon-collapsable {
    rotate: 180deg;
    justify-content: flex-start;
}
.v2-icon-collapsable i:hover {
    cursor: pointer;
}
.v2-icon--no-margin {
    margin: 0 !important;
}
.v2-icon-container-actionable:hover {
    cursor: pointer;
}

.v2-header-mobile-spacing {
    padding-top: 32px;
    margin: 0 16px;
}
.v2-header-mobile-lateral-spacing {
    margin: 0 16px;
}

.v2-column__subcontent {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

/* DATEPICKER */
.v2-datepicker-input input {
    text-transform: uppercase;
    cursor: pointer !important;
    background-color: transparent !important;
    z-index: 2;
}
.v2-datepicker-input  i {
    z-index: 1;
}

/* FONT SIZES */
.v2-icon-standard-size {
    font-size: 13px;
}
.v2-icon-small-size {
    font-size: 12px;
}
.v2-icon-small-size.negative-margin {
    margin-top: -6px;
}
.v2-icon-medium-size {
    font-size: 16px !important;
    margin-left: 3px;
}
.v2-icon-medium-size.no-margin {
    margin: 0 !important;
}
.v2-icon-big-size {
    font-size: 18px !important;
}
.v2-icon-wide-size {
    font-size: 20px !important;
}
.v2-icon-illustration-size {
    font-size: 30px !important;
}
.v2-icon-small-size.negative-margin, .v2-icon-medium-size.negative-margin {
    margin-top: -6px;
}
.v2-icon-mobile-size {
    font-size: 21px;
}
.v2-icon-mobile-size.big {
    font-size: 27px;
}

.v2-horizontal-line {
    width: 100%;
    height: 1px;
    background-color: var(--tertiary-bg);
    margin: 0 !important;
}
.v2-horizontal-line.with-space {
    margin-bottom: 16px !important;
}

.v2-horizontal-stack {
    display: flex;
    gap: 8px;
}
.v2-horizontal-stack.medium-space {
    gap: 16px;
}
.v2-horizontal-stack.big-space {
    gap: 20px;
}

.v2-vertical-line {
    width: 1px;
    min-height: 24px;
    height: 100%;
    background-color: var(--tertiary-bg);
}
.v2-vertical-line__on-middle {
    position: absolute;
    left: 50%;
}
.v2-empty-box {
    height: 150px;
}

.v2-input-with-icon {
    position: relative;
}

.v2-input-with-icon i {
    position: absolute;
    font-size: 14px;
    left: 12px;
    top: 14px;
}
.v2-input-with-icon i.fa-star {
    left: auto !important;
    right: 30px;
}
.v2-input-with-icon i.clean-input-search {
    left: auto !important;
    right: 12px !important;
}
.v2-input-with-icon i.clean-input-search:hover {
    cursor: pointer;
}
.v2-input-with-icon:not(.no-search) input {
    padding-left: 32px !important;
}
.v2-amount-coin-icon {
    font-style: normal;
    height: 100%;
    top: 0 !important;
    padding: 12px 0;
    line-height: 1.42;
}
.v2-input-with-icon:has(.v2-amount-coin-icon) input {
    padding-left: 30px !important;
}
.v2-input-with-dropdown {
    margin-left: -5px;
    width: calc(100% + 5px) !important;
}

.v2-input-radio-wrapper {
    display: flex;
    gap: 8px;
    align-items: center;
    text-transform: capitalize;
}

.v2-input-radio {
    position: relative;
    display: block;
    padding: 10px 0 10px 20px !important;
}

.v2-input-checkbox {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    padding: 10px !important;
}

.v2-input-checkbox-container {
    display: flex;
    gap: 12px;
    width: fit-content;
}

.v2-input-checkbox-container .text-danger {
    display: none;
}

.v2-input-checkbox input + .v2-input-checkbox-input {
    top: calc(50% - 10px) !important;
}
.v2-input-checkbox input + .v2-input-checkbox-input .text {
    color: var(--body-text-secondary-emphasized);
    font-size: 12px;
    font-weight: 700;
    line-height: 20px;
}

.v2-input-radio input, .v2-input-checkbox input {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    visibility: hidden;
    position: absolute;
    right: 0;
}

.v2-input-radio input + i, .v2-input-checkbox input + .v2-input-checkbox-input {
    position: absolute;
    left: 0;
    top: 0;
    background: var(--tertiary-bg);
    border: 1px solid var(--primary-text);
    transition: all 0.3s ease-in-out;
}

.v2-input-radio input[type=radio] + i {
    height: 20px;
    width: 20px;
    border-radius: 100%;
}

.v2-input-checkbox-container.active .v2-input-checkbox-input,
.v2-input-checkbox input[type=checkbox] + .v2-input-checkbox-input {
    height: 20px;
    width: 20px;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.v2-input-checkbox input[type=checkbox] + .v2-input-checkbox-input:hover {
    cursor: pointer;
    background-color: var(--button-bg-secondary);
}


.v2-input-checkbox-container.active .v2-input-checkbox-input,
.v2-input-checkbox input[type=checkbox]:checked + .v2-input-checkbox-input {
    background-color: var(--primary-bg);
}

.v2-input-checkbox-container.active .v2-input-checkbox-input i,
.v2-input-checkbox input[type=checkbox] + .v2-input-checkbox-input i {
    display: none;
}

.v2-input-checkbox-container.active .v2-input-checkbox-input i,
.v2-input-checkbox input[type=checkbox]:checked + .v2-input-checkbox-input i {
    font-size: 18px;
    color: var(--base-text);
    display: block !important;
}

.v2-input-radio input[type=radio] + i:before {
    content: '';
    display: block;
    background: var(--primary-bg);
	border-radius: 100%;
    position: absolute;
	z-index: 1;
    transition: all 0.25s ease;
	transform: scale(0);
    opacity: 0;
    top: 1.25px;
    left: 1.25px;
    width: 16px;
    height: 16px;
}

.v2-input-radio input[type=radio]:checked + i:before {
    transform: scale(1);
    opacity: 1;
}

.v2-input-radio-text {
    color: var(--body-text);
    font-size: 12px;
    font-weight: 700;
    line-height: 20px;
}

.v2-item-with-actions.disabled > div, .v2-item-with-actions.disabled > p {
    color: var(--button-text-disabled2) !important;
}

.v2-item-with-actions.disabled > div i:hover {
    cursor: not-allowed !important;
    pointer-events: none !important;
    background-color: transparent !important;
}
.v2-item-with-actions__button {
    font-size: 12px;
    color: var(--primary-text);
    display: flex;
    justify-content: center;
    padding: 4px 7px;
    transition: all 0.2s ease-in-out;
    background-color: transparent;
}
.v2-item-with-actions__button i:hover {
    cursor: pointer;
    border-radius: 4px;
    background-color: var(--button-bg-secondary);
}
.v2-item-with-actions__button.disabled {
    pointer-events: auto !important;
    cursor: auto !important;
}
.v2-item-with-actions__button:focus {
    outline: none !important;
    color: var(--secondary-text) !important;
}

.v2-item-with-actions .remove-icon {
    min-width: 60px;
}

/* CONTAINERS */
.v2-group-box {
    position: relative;
    box-shadow: 0 0 32px 0 rgba(0, 0, 0, 0.10) !important;
    border-radius: 4px !important;
    padding: 16px;
}

.v2-card-on-mobile {
    padding: 16px;
    border-radius: 4px;
    background-color: var(--base-bg);
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.10);
}

.v2-fixed-to-bottom-on-mobile {
    position: fixed;
    width: 100%;
    left: 0;
    bottom: 0;
    background-color: var(--base-bg);
    z-index: 1;
    border-top: 1px solid var(--tertiary-bg);
    box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.10);
    padding: 16px;
}

/* TOAST */
.v2-toast-notification {
    top: 0;
    left: 16px;
    width: calc(100% - 16px);
    height: 56px;
    z-index: 1000;
    padding: 12px 16px;
    /**position: absolute;**/
}
.v2-toast-notification.no-left {
    left: 0px !important;
    width: 100% !important;
}

.v2-toast-notification--icon {
    font-size: 18px;
    margin-right: 10px;
}

.v2-toast-notification--text {
    font-size: 16px;
}

.v2-toast-notification--close-icon {
    margin-left: 27px;
    margin-top: 2px;
    font-size: 16px;
    cursor: pointer;
}

.v2-toast-notification--secondary-text {
    font-size: 14px;
    font-weight: 700;
    margin-left: 5px;
    cursor: pointer;
}
.v2-alert-container {
    background-color: var(--alert-bg);
}
.v2-error-container {
    background-color: var(--error-bg);
}
.v2-success-container {
    background-color: var(--success-bg);
}
.v2-info-container {
    background-color: var(--info-bg);
}
.v2-success-text, .v2-success-container .v2-text {
    color: var(--success-color);
}
.v2-error-text, .v2-error-container .v2-text {
    color: var(--error-color);;
}
.v2-info-text, .v2-info-container .v2-text {
    color: var(--info-color);
}
.v2-alert-text, .v2-alert-container .v2-text{
    color: var(--alert-color);
}
.v2-info-text--with-marker::after {
    font-family: 'FONT AWESOME 6 PRO';
    font-weight: 300;
    content: "\f05a";    
    margin: 0 4px;
}

.v2-full-width-disclaimer {
    text-align: center;
    left: 0;
    right: 0;
    position: absolute;
    font-size: 20px;
}

.v2-dynamic-width-input {
    width: fit-content;
    max-width: fit-content;
}

.v2-dashboard-li.highlighted {
    z-index: 99;
}

/* END IMPORT FROM SECTIONS */

/* ----------- TABLE ---------- */
.v2-table-col-head {
    /* REMOVED BY 2246 CHANGES AT 27/4/2026
    border-top: 1px solid var(--section-border) !important; */
    border-bottom: 1px solid var(--section-box-field) !important;
    font-size: var(--base-font-size) !important;
    color: var(--body-text-secondary-emphasized) !important;
    font-weight: var(--light) !important;
    text-align: left ;/**removed !important as some columns are right or center aligned**/
}
.v2-table-col-head.no-border {
    border: 0 !important;
}
.v2-table-col-head.text-right {
    text-align: right !important;
}
.v2-table-col-head.text-center {
    text-align: center !important;
}

.v2-table-box-field {
    background: var(--section-box-field);
    border-radius: 3px;
    color: var(--body-text-secondary-emphasized);
    height: 37px;
    font-size: var(--base-font-size);
    line-height: var(--xl-line-height);
    text-align: center;
    font-weight: var(--light);
}

.v2-table-content-field {
    color: var(--body-text-secondary-emphasized);
    font-size: var(--base-font-size);
    line-height: var(--xl-line-height);
    text-align: center;
    font-weight: var(--light);
}
.v2-table-content-field.bold {
    font-weight: var(--semibold);
}
.v2-table-content-field.text-left {
    text-align: left;
}

/**separated this to size and colour as sometimes we need it to reflect amounts etc**/
.v2-table-text-field {
    font-size: var(--md-font-size) !important;
    font-weight: var(--medium) !important;
}
.v2-table-text-field--body-text {
    color: var(--body-text-secondary-emphasized) !important;
}
.v2-table-text-field--primary {
    color: var(--primary-text) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--semibold) !important;
    text-align: left; /**cannot be !important becasuse many columns are center or right**/
}
.v2-table-text-field--secondary {
    color: var(--body-text-emphasized) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--regular) !important;
}
.v2-table-subtext-field {
    font-size: var(--small-font-size) !important;
    line-height: 14pt !important;
    color: var(--body-text-secondary-emphasized) !important;
}

/* ----------- FORMS ----------- */
.v2-input-field {
    height: var(--input-line-height);
}

.v2-input-field--primary-text {
    color: var(--primary-text);
}
.v2-input-field--primary {
    border-color: var(--input-field-active-border);
}

/* ------------ LISTS -------------- */
.v2-list-with-squares {
    list-style-type: square;
    margin-left: 20px;
}

/* ------------ BOXES -------------- */
.v2-disclaimer-card {
    background: var(--section-box-field);
    border-radius: 8px;
    padding: 12px;
    margin-top: 24px;
}

.v2-input-field--primary-text {
    color: var(--primary-text);
}
.v2-input-field--primary {
    border-color: var(--input-field-active-border);
}

/* ------------ LISTS -------------- */
.v2-list-with-squares {
    list-style-type: square;
    margin-left: 20px;
}

/* ------------ BOXES -------------- */
.v2-disclaimer-card {
    background: var(--section-box-field);
    border-radius: 8px;
    padding: 12px;
    margin-top: 24px;
}

/* ------------ EVENTS & ACTIONS -------------- */
.v2-cursor-pointer {
    cursor: pointer;
}

/* ----------- EXPORT -------------- */
.v2-export-file {
    position: relative;
    display: inline-block;
    transition: all 0.3s ease-in-out;
    padding-bottom: 5px;
}

.v2-export-file .export-file-collapsable-content {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    width: 103px;
    text-align: left;
    border-radius: 6px;
    border:1px solid #F0F3F5;
    background: #F0F3F5;
    z-index: 99;
    margin-top: 5px;
}
        
.v2-export-file .export-file-collapsable-content a {
    padding: 10px;
    display:inline-block;
    color: #9FA7AF;
    width: 100%;
    margin-top: 0;
    font-size: 12px;
    font-weight: 400;
}

.v2-export-file .export-file-collapsable-content a:hover {
    background: #00ADEE;
    color: #FFF;
}

.v2-export-file button.focus + .export-file-collapsable-content {
    opacity: 1;
    visibility: visible;
}

.v2-export-file button.focus .fa-chevron-down {
    transform: rotate(180deg);
}

/* ONLY MOBILE */
@media screen and (max-width: 768px) {
    .v2-primary-button:not(.width-auto),
    .v2-secondary-button:not(.width-auto) {
        width: 100% !important;
    }
    .v2-primary-button.with-space,
    .v2-secondary-button.with-space {
        width: calc(100% - 32px) !important;
        margin: auto !important;
    }
    .v2-primary-button.maintain-on-mobile,
    .v2-secondary-button.maintain-on-mobile {
        width: auto !important;
        min-width: 130px;
    }

    .v2-disclaimer-card {
        margin-bottom: 50px;
    }
    .v2-disclaimer-card.no-margin-bottom {
        margin-bottom: 0px;
    }

    .v2-column__only-mobile {
        flex-direction: column;
        gap: 12px;
    }

    .v2-onboarding {
        width: 90vw;
        left: auto;
        right: calc(50% - 90vw / 2);
        max-width: 307px;
    }

    .v2-onboarding-highlight {
        top: -14px;
        width: calc(100% + 32px);
        left: -16px;
    }

    .v2-disclaimer-container i {
        margin-top: 5px;
    }

    .v2-toast-notification {
        /**top: 80px !important;**/
        position: static;
        left: 0;
        width: 100%;
    }

    .v2-full-box {
        padding: 16px;
        background: var(--base-bg);
        box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.10) !important;
    }
    .v2-full-box.separator {
        border-top: var(--section-box-field);
    }

    .v2-toast-notification--icon {
        margin-bottom: auto;
        margin-top: 5px;
    }

    .v2-toast-notification--close-icon {
        margin-bottom: auto;
        margin-top: -5px;
    }

    .v2-dynamic-width-input {
        max-width: 150px !important;
    }

    .v2-page-title {
        display: none;
    }

    .v2-height-screen--mobile {
        min-height: calc(100vh - 180px); /* 180px from footer */
    }

    .no-width-mobile {
        min-width: unset !important;
    }

    .v2-table-box-field {
        width: max-content;
        min-width: 70px;
    }
}

/* ----------- ONLY DESKTOP ------------ */
@media screen and (min-width: 767px) {
    /* FAVOURITES CHARITY */
    /* Work for any container with title and button and two columns disposal */
    .v2-full-width--only-mobile, .v2-full-width--only-mobile-content {
        width: auto;
    }

    .v2-two-columns {
        grid-template-columns: 1fr;
        column-gap: 5px !important;
        row-gap: 12px !important;
    }

    .v2-header-mobile-spacing, .v2-header-mobile-lateral-spacing {
        padding-top: 0;
        margin: 0;
    }

    .v2-column, .v2-column.medium-space {
        gap: 24px;
    }
    .v2-column.small-space {
        gap: 8px;
    }
    .v2-datepicker-input {
        padding-bottom: 42px;
    }
    .v2-datepicker-input  input {
        position: absolute;
    }

    .v2-tooltip-onboarding.top .tooltiptext::after {
        top: 100% !important;
        bottom: auto !important;
        transform: rotate(180deg);
    }

    .v2-disclaimer-container {
        align-items: center !important;
    }

    .v2-group-box {
        padding: 24px !important;
    }

    .v2-group-box.small-space {
        padding: 16px 24px !important;
    }

    .v2-group-box.tiny-space {
        padding: 16px !important;
    }

    .v2-card-on-mobile {
        padding: 0 !important;
        box-shadow: none !important;
        border-radius: 0 !important;
        background-color: transparent !important;
    }
    
    .v2-fixed-to-bottom-on-mobile {
        position: static !important;
        width: auto !important;
        background-color: transparent !important;
        border-top: none !important;
        box-shadow: none !important;
        padding: 0 !important;
    }

    .v2-flex-between {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .v2-horizontal-stack .stack-item {
        width: 50%;
    }

    .v2-quaternary-button {
        max-width: 235px;
    }

    .v2-toast-notification--icon {
        margin-left: 15px;
    }

    /* MODAL GRAL */
    .v2-modal-dialog {
        width: 100% !important;
        max-width: 466px !important;
    }
}

@media screen and (min-width: 992px) {
    .v2-two-columns {
        column-gap: 30px !important;
        grid-template-columns: repeat(2, minmax(150px, 1fr));
    }

    .v2-grid-quadrant {
        grid-template-columns: 1fr 1fr !important;
    }

    .export-file{
        float: right;
    }
}

/* Specifict styles related to AAC-2386 to donation privacy preference */
@media screen and (min-width: 1510px) and (max-width: 1550px) {
    .v2-privacy-preference-popover {
        width: 95%;
        display: inline-block;
    }
}

/* Specific styles for 120% and upper resolution - See AAC-2058 for more information */
@media (min-resolution: 1.20dppx), (-webkit-min-device-pixel-ratio: 1.20) {
    .v2-amount-coin-icon {
        height: 42px;
        line-height: 1.5;
        padding: 10px 0;
        border: 1px solid transparent;
    }
}

/*
    Specific styles for resolutions upper to 175%
    ONLY ON DESKTOP - IN MOBILE SHOULD WORK PREVIOUS MEDIA QUERY
    - See AAC-2185 for more information
*/
@media (min-resolution: 1.75dppx) and  (pointer: fine) {
    .v2-amount-coin-icon {
        line-height: 1.65;
    }
}

/*
    Specific styles for resolutions upper 195%
    ONLY ON DESKTOP - IN MOBILE SHOULD WORK PREVIOUS MEDIA QUERY
    - See AAC-2185 for more information
*/
@media (min-resolution: 1.95dppx) and (pointer: fine) {
    .v2-amount-coin-icon {
        line-height: 1.45;
    }
    .v2-export-file {
        /* width: 100%; */
        margin: 8px 0;
    }
}
